cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/ocr \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"document": {
"document_url": "<string>",
"image_url": "<string>"
},
"include_image_base64": false,
"image_limit": 2,
"image_min_size": 2,
"pages": [
123
]
}
'import requests
url = "https://aigw.portkey.ai/v1/ocr"
payload = {
"model": "<string>",
"document": {
"document_url": "<string>",
"image_url": "<string>"
},
"include_image_base64": False,
"image_limit": 2,
"image_min_size": 2,
"pages": [123]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
document: {document_url: '<string>', image_url: '<string>'},
include_image_base64: false,
image_limit: 2,
image_min_size: 2,
pages: [123]
})
};
fetch('https://aigw.portkey.ai/v1/ocr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pages": [
{
"index": 123,
"markdown": "<string>",
"images": [
{
"id": "<string>",
"image_base64": "<string>"
}
]
}
],
"model": "<string>",
"usage_info": {
"pages_processed": 123
}
}POST
/
ocr
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Last modified on September 17, 2026
Was this page helpful?

